﻿/*
	CSS-kod till RWD
*/

*{
    box-sizing: border-box;
}

#flex{
    display:flex;
    flex-wrap: wrap;    
    min-height: 100vh;
}

header {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    width:100%;
    height:fit-content;
}

nav {
    background-color: #eeeeee;
    height:fit-content;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li a {
    display: block;
    color: white;
    padding: 5px;
    text-decoration: none;
    text-align: center;
    background-color: aqua;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 5px;
    }

nav li a:hover {
    background-color: #555;
    color: white;
}

section {
    padding: 10px;
    height:fit-content;
}

picture img{
    width:550px;
    max-width: 100%;
}

iframe{
    max-width: 100%;
}

aside {
    background-color: #cccccc;
    padding: 5px;
    height: fit-content;
}

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    margin-top: auto;
    width:100%;
}

@media only screen and (max-width: 768px) {
    nav{
        width:100%;
    }
    nav ul{
        display:none;
    }
    section{
        width:100%;
    }
    aside{
        width:100%;
    }
    #dropdown{
        display:block;
    }
}

@media only screen and (min-width: 768px) {
    nav{
        width:25%;
    }
    nav ul{
        display:block;
    }
    section{
        width:75%;
    }
    aside{
        width:100%;
    }
    #dropdown{
        display:none;
    }
}

@media only screen and (min-width: 992px) {
    nav{
        width:25%;
    }
    section{
        width:58%;
    }
    aside{
        width:17%;
    }
}

@media only screen and (min-width: 1200px) {
    nav{
        width:100%;
    }
    nav ul{
        display:flex;
    }
    nav ul li{
        margin-top: 0px;
        margin-right: 5px;;
    }
    section{
        width:83%;
    }
    aside{
        width:17%;
    }
}

#bilder{
    display: flex;
    flex-wrap: wrap;
    width:100%;
}
.column{
    width:25%;
    padding-left: 5px;
    padding-right: 5px;
}

.column img{
    width:100%;
    margin-top: 5px;
    vertical-align: middle;
}

@media only screen and (max-width: 768px) {
    .column{
        width:100%;
    }
}

@media only screen and (min-width: 768px) {
    .column{
        width:50%;
    }
}

@media only screen and (min-width: 1100px) {
    .column{
        width:25%;
    }
}

img:hover{
    filter: grayscale();
    transition: ease-in;
}